### Function

# GLib Hook insert_before

#### Declaration [src]

    void
    g_hook_insert_before (
      GHookList* hook_list,
      GHook* sibling,
      GHook* hook
    )

#### Description [src]

Inserts a `GHook` into a `GHookList`, before a given `GHook`.

#### Parameters

`hook_list`

  Type: `GHookList`

  A `GHookList`.

  The data is owned by the caller of the function.

`sibling`

  Type: `GHook`

  The `GHook` to insert the new `GHook` before.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`hook`

  Type: `GHook`

  The `GHook` to insert.

  The data is owned by the caller of the function.